require 'PhotoShelterPublishSupport'
require 'PhotoShelterExportDialogSections'

local exportServiceProvider = {}

for name, value in pairs(PublishSupport) do
	exportServiceProvider[name] = value
end

exportServiceProvider.supportsIncrementalPublish = 'both'
exportServiceProvider.hideSections = { 'video', 'exportLocation' }
exportServiceProvider.hidePrintResolution = false
exportServiceProvider.canExportVideo = false
exportServiceProvider.canExportToTemporaryLocation = true
exportServiceProvider.exportPresetFields = PhotoShelterUploadExportDialogSections.exportPresetFields()
exportServiceProvider.startDialog = PhotoShelterUploadExportDialogSections.startDialog
exportServiceProvider.endDialog = PhotoShelterUploadExportDialogSections.endDialog
exportServiceProvider.sectionsForTopOfDialog = PhotoShelterUploadExportDialogSections.sectionsForTopOfDialog
exportServiceProvider.small_icon = 'images/logo.png'
exportServiceProvider.publish_fallbackNameBinding = 'PhotoShelter'
exportServiceProvider.supportsCustomSortOrder = false
exportServiceProvider.titleForPublishedCollection = LOC("$$$/PhotoShelter/TitleForPublishedCollection=PhotoShelter Gallery")
exportServiceProvider.titleForPublishedCollection_standalone = LOC("$$$/PhotoShelter/TitleForPublishedCollection=PhotoShelter Gallery")
exportServiceProvider.titleForPublishedCollectionSet = LOC("$$$/PhotoShelter/TitleForPublishedCollectionSet=PhotoShelter Collection")
exportServiceProvider.titleForPublishedCollectionSet_standalone = LOC("$$$/PhotoShelter/TitleForPublishedCollectionSet=PhotoShelter Collection")
exportServiceProvider.titleForPublishedSmartCollection = LOC("$$$/PhotoShelter/TitleForPublishedCollection=Smart PhotoShelter Gallery")
exportServiceProvider.titleForPublishedSmartCollection_standalone = LOC("$$$/PhotoShelter/TitleForPublishedCollection=Smart PhotoShelter Gallery")
exportServiceProvider.titleForGoToPublishedCollection = LOC("$$$/PhotoShelter/TitleForGoToPublishedCollection=Show on PhotoShelter")
exportServiceProvider.titleForGoToPublishedPhoto = LOC("$$$/PhotoShelter/TitleForGoToPublishedCollection=Show Image on PhotoShelter")

return exportServiceProvider